### Hierarchy

- BaseFile
  - PrivateFile

## Index

### Constructors

- constructor

### Properties

- content
- header
- history
- key
- mmpt
- readOnly

### Methods

- getName
- put
- putDetailed
- updateContent
- updateParentNameFilter
- create
- fromBareNameFilter
- fromInfo
- fromLatestName
- fromName
- instanceOf

## Constructors

### constructor

- new PrivateFile(__namedParameters: <internal>.ConstructorParams): PrivateFile

- Overrides BaseFile.constructor

  - Defined in fs/v1/PrivateFile.ts:33

  #### Parameters

  - ##### __namedParameters: <internal>.ConstructorParams

  #### Returns PrivateFile

## Properties

### content

content: FileContent

Inherited from BaseFile.content

- Defined in fs/base/file.ts:10

### header

header: PrivateFileInfo

- Defined in fs/v1/PrivateFile.ts:28

### history

history: <internal>.default

- Defined in fs/v1/PrivateFile.ts:29

### key

key: string

- Defined in fs/v1/PrivateFile.ts:30

### mmpt

mmpt: <internal>.default

- Defined in fs/v1/PrivateFile.ts:31

### readOnly

readOnly: boolean

Inherited from BaseFile.readOnly

- Defined in fs/base/file.ts:11

## Methods

### getName

- getName(): Promise<PrivateName>

- - Defined in fs/v1/PrivateFile.ts:101

  #### Returns Promise<PrivateName>

### put

- put(): Promise<CID>

- Inherited from BaseFile.put

  - Defined in fs/base/file.ts:18

  #### Returns Promise<CID>

### putDetailed

- putDetailed(): Promise<PrivateAddResult>

- Overrides BaseFile.putDetailed

  - Defined in fs/v1/PrivateFile.ts:123

  #### Returns Promise<PrivateAddResult>

### updateContent

- updateContent(content: FileContent): Promise<PrivateFile>

- Overrides BaseFile.updateContent

  - Defined in fs/v1/PrivateFile.ts:112

  #### Parameters

  - ##### content: FileContent

  #### Returns Promise<PrivateFile>

### updateParentNameFilter

- updateParentNameFilter(parentNameFilter: BareNameFilter): Promise<PrivateFile>

- - Defined in fs/v1/PrivateFile.ts:107

  #### Parameters

  - ##### parentNameFilter: BareNameFilter

  #### Returns Promise<PrivateFile>

### Static create

- create(mmpt: <internal>.default, content: FileContent, parentNameFilter: BareNameFilter, key: string): Promise<PrivateFile>

- - Defined in fs/v1/PrivateFile.ts:50

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### content: FileContent

  - ##### parentNameFilter: BareNameFilter

  - ##### key: string

  #### Returns Promise<PrivateFile>

### Static fromBareNameFilter

- fromBareNameFilter(mmpt: <internal>.default, bareNameFilter: BareNameFilter, key: string): Promise<PrivateFile>

- - Defined in fs/v1/PrivateFile.ts:68

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### bareNameFilter: BareNameFilter

  - ##### key: string

  #### Returns Promise<PrivateFile>

### Static fromInfo

- fromInfo(mmpt: <internal>.default, key: string, info: Maybe<DecryptedNode>): Promise<PrivateFile>

- - Defined in fs/v1/PrivateFile.ts:83

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### key: string

  - ##### info: Maybe<DecryptedNode>

  #### Returns Promise<PrivateFile>

### Static fromLatestName

- fromLatestName(mmpt: <internal>.default, name: PrivateName, key: string): Promise<PrivateFile>

- - Defined in fs/v1/PrivateFile.ts:73

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### name: PrivateName

  - ##### key: string

  #### Returns Promise<PrivateFile>

### Static fromName

- fromName(mmpt: <internal>.default, name: PrivateName, key: string): Promise<PrivateFile>

- - Defined in fs/v1/PrivateFile.ts:78

  #### Parameters

  - ##### mmpt: <internal>.default

  - ##### name: PrivateName

  - ##### key: string

  #### Returns Promise<PrivateFile>

### Static instanceOf

- instanceOf(obj: unknown): obj is PrivateFile

- - Defined in fs/v1/PrivateFile.ts:42

  #### Parameters

  - ##### obj: unknown

  #### Returns obj is PrivateFile

Generated using TypeDoc